_Data source_ функция **dynamix_disk_list_deleted** служит для получения информации об удаленных дисках.

## Аргументы
_Data source_ функция **dynamix_disk_list_deleted** принимает следующие аргументы:
| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- | 
| by_id | int | :x: | Фильтр по ID диска |
| name | string | :x: | Фильтр по имени диска |
| account_name | string | :x: | Фильтр по имени аккаунта |
| disk_max_size | int | :x: | Фильтр по макс. размеру диска |
| shared | bool | :x: | Фильтр по shared |
| account_id | int | :x: | id аккаунта для получения списка дисков |
| type | string | :x: | Тип диска. Возможные типы: "b" - boot_disk, "d" - data_disk |
| sort_by | string | :x: | Фильтр по одному из поддерживаемых полей, формат: +или- название поля |
| page | int | :x: | Номер страниц |
| size | int | :x: | Размер страницы |


## Возвращаемые значения
В случае успешного выполнения _data source_ функция **dynamix_disk_list_deleted** возвращает в указанную при вызове переменную, в поле _items_ массив, каждый элемент которого состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| account_id | int | id аккаунта |
| account_name | string | имя аккаунта | 
| created_by | string | Юзернейм создавшего диск пользователя |
| created_time | int | Время создания диска |
| deleted_by | string | Юзернейм удалившего диск пользователя |
| deleted_time | int | Время удаления диска |
| desc | string | Описание диска |
| destruction_time | int | Время уничтожения диска |
| devicename | string | Имя устройства |
| gid | int | Grid id |
| disk_id | int | id диска |
| image_id | int | id образа |
| images | []int | id образов |
| iotune | Struct{}[см. ниже](#описание-структуры-iotune) | Информация об ограничениях IO диска |
| machine_id | int | ID машины |
| machine_name | string | Наименование машины |
| milestones | int | Вехи |
| name | string | Наименование диска |
| order | int | Номер диска в последовательности |
| params | string | Параметры диска |
| parent_id | int | id родителя |
| pci_slot | int | id pci слота | 
| pool | string | Наименование пула диска |
| purge_time | int | Время удаления |
| replication | Struct{} [см. ниже](#описание-структуры-replication) | Информация о реплике диска |
| res_id | string | Идентификатор ресурса |
| res_name | string | Наименование ресурсов |
| role | string | Роль диска |
| sep_id | int | id sep |
| sep_type | string | Тип sep |
| size_available | float | Кол-во свободного места, в ГБ |
| size_max | int | Максимальный размер диска |
| shareable | bool | Разрешено ли делиться диском |
| snapshots | []Struct{}[см. ниже](#описание-структуры-snapshots) | Снимки состояния диска |
| status | string | Статус диска |
| tech_status | string | Технический статус диска |
| type | string | Тип диска |
| updated_by | string | Юзернейм обновившего диск пользователя |
| updated_time | int | Время обновления |
| vmid | int | id виртуальной машины |

### Описание структуры iotune
| Параметр | Тип | Описание |
| --- | --- | --- |
| read_bytes_sec | int | Кол-во байт для чтения в секунду |
| read_bytes_sec_max | int | Максимальное кол-во байт для чтения |
| read_iops_sec | int | Кол-во операций чтения io в секунду |
| read_iops_sec_max | int | Максимальное число io операций чтения |
| size_iops_sec | int | Размер io операций |
| total_bytes_sec | int | Общий размер байт в секунду |
| total_bytes_sec_max | int | Максимальный общий размер байт в секунду |
| total_iops_sec | int | Общее кол-во io операций в секунду |
| total_iops_sec_max | int | Максимальное общее кол-во io операций в секунду |
| write_bytes_sec | int | Кол-во байт для записи в секунду |
| write_bytes_sec_max | int | Максимальное кол-во байт для записи в секунду |
| write_iops_sec | int | Кол-во операций записи в секунду |
| write_iops_sec_max | int | Максимальное число операций записей |

### Описание структуры replication 
| Параметр | Тип | Описание |
| --- | --- | --- |
| disk_id | int | id диска |
| pool_id | string | id пула |
| role | string | Роль диска (главный или реплика) |
| self_volume_id | string | id раздела |
| storage_id | int | id хранилища |
| volume_id | int | id раздела |

### Описание структуры snapshots
| Параметр | Тип | Описание |
| --- | --- | --- |
| guid | string | ID снимка |
| label | string | Наименование снимка |
| res_id | string | Ссылка на снимок |
| snap_set_guid | string | Установленный ID снимка |
| snap_set_time | int | Установленное время снимка |
| timestamp | int | Время снимка |

## Пример использования
Пример вызова _data source_ функции **dynamix_disk_list_deleted**:
```terraform
data "dynamix_disk_list_deleted" "dld" {
  #фильтр по id диска
  #опциональный параметр
  #тип - целое число
  #by_id = 100
 
  #фильтр по имени диска
  #опциональный параметр
  #тип - строка
  #name = "data_disk"

  #фильтр по имени аккаунта
  #опциональный параметр
  #тип - строка
  #account_name = "user"
  
  #фильтр по максимальному размеру диска
  #опциональный параметр
  #тип - целое число
  #disk_max_size = 100

  #фильтр по доступности иным пользователям
  #опциональный параметр
  #тип - булев
  #shared = "false"

  #id аккаунта для получения списка дисков
  #опциональный параметр 
  #тип - целое число
  #account_id = 11111

  #тип диска
  #опциональный параметр 
  #тип - строка
  #возможные типы: "b" - boot_disk, "d" - data_disk
  #type = "d"

  #сортировка по одному из поддерживаемых полей
  #опциональный параметр
  #тип - строка
  #формат - "+поле" по возрастанию / "-поле" по убыванию
  #sort_by = "+name"

  #кол-во страниц для вывода
  #опциональный параметр
  #тип - целое число
  #page = 1

  #размер страницы
  #опциональный параметр
  #тип - число
  #size = 1
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DYNAMIX см. соответствующий [раздел](https://repository.basistech.ru/BASIS/wiki-terraform-provider-dynamix/src/branch/main/1.3.0/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md)). 

После успешного завершения такого вызова **dynamix_disk_list_deleted** в переменной `data.dynamix_disk_list_deleted.dld` будут сохранены возвращаемые значения.
